Last Comment Bug 722265 - Column header selection popup no longer exposed to accessibility APIs
: Column header selection popup no longer exposed to accessibility APIs
Status: RESOLVED FIXED
: regression
Product: Thunderbird
Classification: Client Software
Component: Disability Access (show other bugs)
: Trunk
: x86_64 Windows 7
: -- normal (vote)
: Thunderbird 24.0
Assigned To: alexander :surkov
:
Mentors:
Depends on:
Blocks: treeupdatea11y
  Show dependency treegraph
 
Reported: 2012-01-30 03:23 PST by James Teh [:Jamie]
Modified: 2013-09-25 13:42 PDT (History)
5 users (show)
surkov.alexander: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
patch (7.86 KB, patch)
2013-06-16 22:35 PDT, alexander :surkov
tbsaunde+mozbugs: review+
Details | Diff | Splinter Review

Description James Teh [:Jamie] 2012-01-30 03:23:17 PST
The popup used to select columns to display is no longer exposed to accessibility APIs. Although the button to access the popup can't be focused or activated from the keyboard (bug 370437), it was previously possible to find and activate the accessible for this button, thereby displaying the popup. The popup was then accessible via the keyboard and exposed information to accessibility APIs, thus allowing a screen reader user to toggle column visibility. Now, even after the button is activated, the popup does not expose any accessibles at all.

Str:
1. Click the button labelled "Click to select columns to display" in the message list column headers.
2. Press downArrow.
Expected: The selected column item should receive focus according to accessibility APIs.
Actual: Nothing is communicated via accessibility APIs.

This worked in Thudnerbird 3.1.18. It does not work in trunk. I'm not yet sure where it broke after 3.1.18.

I'm not sure whether this is a core -> disability access APIs bug, so I've put it here initially.
Comment 1 Marco Zehe (:MarcoZ) 2012-01-30 03:43:27 PST
This sounds to me like another case of the problem in bug 673860.
Comment 2 James Teh [:Jamie] 2012-03-29 15:37:25 PDT
Unfortunately, this is not fixed by bug 656225, which suggests it's not another instance of bug 673860.
Comment 3 alexander :surkov 2012-03-29 20:43:36 PDT
Can anybody extract guilty XUL for me please?
Comment 4 Liz Henry (:lizzard) (needinfo? me) 2013-03-04 10:34:23 PST
Could this be put into the View menu options?
Comment 5 alexander :surkov 2013-03-05 08:24:40 PST
(In reply to Liz Henry :lizzard from comment #4)
> Could this be put into the View menu options?

this would do a job for particular app but we'd need to fix it in general way
Comment 6 alexander :surkov 2013-03-05 22:54:40 PST
XUL button doesn't allow any children if this not a menu button. XUL tree uses xul:treecolumnpicker which is not recognized as a menu button. Similar to bug 787858 and MustPrune problem. While this one can have a trivial fix (treat treecolumnpicker as a menu button) but we deal here with a more general problem.
Comment 7 alexander :surkov 2013-06-16 22:35:59 PDT
Created attachment 763385 [details] [diff] [review]
patch

allow menupopup under any XUL button
Comment 9 Ed Morley [:emorley] 2013-06-21 07:56:32 PDT
https://hg.mozilla.org/mozilla-central/rev/b27220008ea6

Note You need to log in before you can comment on or make changes to this bug.